Bug 805086 - [RFE] Add ability to specify relativepath when adding a package to a repository
[RFE] Add ability to specify relativepath when adding a package to a repository
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 35
Assigned To: Pradeep Kilambi
Preethi Thomas
: FutureFeature, Triaged
Depends On:
Blocks: 578256
  Show dependency treegraph
 
Reported: 2012-03-20 10:48 EDT by Dennis Gregorovic
Modified: 2013-09-09 12:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-25 10:14:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gregorovic 2012-03-20 10:48:30 EDT
Currently, whenever a package is added to a repo using /repositories/<id>/add_package/ that package always ends up at <repo path>/<name>-<version>-<release>.<arch>.rpm.  There are times when a user would want the RPMs to be in a different directory relative to the root of the repository.  Fedora, for example, uses an os/Packages/*.rpm structure. Please provide a way to specify an optional relativepath when adding a package to a repo.
Comment 2 Pradeep Kilambi 2012-04-20 09:09:10 EDT
commit 8f42c852dc26a22f0c4877b99f5ac07a541be1a0
Author: Pradeep Kilambi <pkilambi@redhat.com>
Date:   Thu Apr 19 16:34:56 2012 -0400

    805086 - Support for packages_dir in repo
    
    * Ability to specify a relative packages dir path to store and symlink to the repo location
    * updated add_packages/remove_packages to account for packages path before symlinking
    * ability to update packages_dir on a repo if repo is empty
    * db migrate script
    * unit tests

Areas to test:
* repo creation with package dirs
* repo delete
* pkg upload to repo with pkg path and make sure the package is landed appropriately
* package associations/removals from repos using add_package/remove_package
* metadata accounts for pkg dir
* verify clones
Comment 3 Jeff Ortel 2012-04-24 17:45:43 EDT
build: 1.1.4
Comment 8 Preethi Thomas 2012-05-25 10:14:17 EDT
Pulp v1.1 Release

Note You need to log in before you can comment on or make changes to this bug.